@charset "UTF-8";

@keyframes wrapper-entrance {
  0% {
    opacity: 0;
    transform: translateY(20px);
    filter: blur(3px);
  }
  100% {
    opacity: 1;
    transform: translateY(0);
    filter: blur(0);
  }
}


body {
  transition: 0.2s ease;
  margin: 0;
  font-family: 'Barlow', sans-serif;
  font-weight: 400;
  background: #000;
  color: #ffffff;
}
::selection {
  background-color: #91e4f3;
  color: #000;
}
#bg {
  background-image: linear-gradient(to bottom, rgba(0, 0, 0, 0.1), rgba(0, 0, 0, 0.6)), url('bgcache.png');
  display: grid;
  place-items: center;
  height: 100vh;
  width: 100vw;
  background-size: cover;
  background-position: center;  
}


/*HEADERS*/
.head {
  font-family: 'Barlow Condensed', sans-serif;
  font-size: 63px;
  font-weight: 700;
  margin-top: 0;
  margin-bottom: 10px;
  text-shadow: rgba(0, 0, 0, 0.2) 0px 0 4px;
  vertical-align: center;
}

.head-image {
    border-radius: 7px;
    width:43px;
    height:43px;
    margin-right:20px;
    -webkit-filter: drop-shadow(0px 0px 5px rgba(0,0,0,0.3));
    filter: drop-shadow(0px 0px 5px rgba(0,0,0,0.3));
    user-select: none;
    
}

/*BIO*/
.bio {
    font-size: 17px;
    font-weight: 300;
    line-height: 1.6;
    opacity: 0.85;
    text-shadow: rgba(0, 0, 0, 0.25) 0px 0 3px;
    margin-bottom: 14px;
}

/*SUBHEADER*/
.subhead {
  font-size: 24px;
  font-weight: 700;
  text-shadow: rgba(0, 0, 0, 0.25) 0px 0 3px;
  margin-bottom: 10px;
  margin-top: 10px;
  color: #eee;
}

/*ICONS*/
.social-icon,
.project-icon {
  -webkit-filter: drop-shadow(0px 0px 5px rgba(0,0,0,0.25));
  filter: drop-shadow(0px 0px 5px rgba(0,0,0,0.25));
  user-select: none;
}

.social-icon {
  transition: 0.2s ease;
  height: 30px;
  opacity: 0.6;
}

.social-icon:hover {
  transform: scale(1.1);
  opacity: 1;
}

.project-icon {
  transition: transform 0.2s ease;
  height: 18px;
  width: 18px;
  margin-top: 2px;
  border-radius: 4px;
}

.project-icon:hover {
  transform: scale(1.02);
}

/*WRAPPER*/
.wrapper {
  padding: 40px;
  max-width: 1200px;
  animation: wrapper-entrance 1.2s 0.2s cubic-bezier(0.1, -0.1, 0, 0.9) both;
}

@media (min-width: 750px) {
  .leftbox {
    float: left;
    width: 33%;
  }
}

@media (max-width: 500px) {
  .subhead{
      padding-top: 20px;
  }

  #projects{
    padding-top: 0px;
  }
  #bg {
    height: 100%;
  }
}

.emoji {
  font-size: 16px;
  opacity: 0.85;
  text-shadow: rgba(0, 0, 0, 0.5) 0px 0 3px;
  margin-right: 10px;
  transition: transform 0.2s ease;
}

.footer {
  text-align: center;
  transition: opacity 0.2s ease;
  font-size: 14px;
  opacity: .5;
  padding-bottom: 20px;
}

.footer:hover{
    opacity: 1;
}

a {
  color: #7ccfda;
  text-shadow: rgba(0, 0, 0, 0.5) 0px 0 3px;
  text-decoration: none;
}

.emoji-title-container {
    display: flex;
    align-items: flex-start;
    margin-top: 10px;
  }

  .text-container {
    display: flex;
    flex-direction: column;
    transition: margin-left 0.2s ease;
  }

  .title {
    transition: 0.2s ease;
    font-size: 18px;
    font-weight: bold;
  }

  .subtitle {
    transition: 0.2s ease;
    font-weight: 300;
    font-size: 14px;
    color: #ffffff;
    text-shadow: rgba(0, 0, 0, 0.5) 0px 0 3px;
    opacity: 0.55;
  }
  
  .emoji-title-container:hover .emoji {
    transform: scale(1.2);
  }

  .emoji-title-container:hover .title {
    color: #91e4f3;
  }

.emoji-title-container:hover .subtitle {
    opacity: 0.8;
  }

  .emoji-title-container:hover .text-container {
    margin-left: 1px;
  }

  .quicksocials{
    display: flex;
    justify-content: left; /* Centers the icons horizontally */
    gap: 20px;
    margin-top: 25px;
    margin-bottom: 15px;

}